package org.gcube.portlets.user.geoportaldataviewer.shared.gis.wfs;

import java.io.Serializable;
import java.util.Arrays;


/**
 * The Class PointsPath.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Nov 16, 2020
 */
public class PointsPath implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3295493507974317970L;
	
	private Coordinate[] coordinates;
	
	/**
	 * Instantiates a new points path.
	 */
	public PointsPath() {
	
	}

	/**
	 * Instantiates a new points path.
	 *
	 * @param coordinates the coordinates
	 */
	public PointsPath(Coordinate[] coordinates) {
		super();
		this.coordinates = coordinates;
	}
	
	public Coordinate[] getCoordinates() {
		return coordinates;
	}

	/**
	 * To string.
	 *
	 * @return the string
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("PointsPath [coordinates=");
		builder.append(Arrays.toString(coordinates));
		builder.append("]");
		return builder.toString();
	}
	
	
	
}
